<?php
$referals = mysql_result (mysql_query("SELECT COUNT(*) FROM `referals` WHERE `id_user` = '".$ank['id']."'"),0);
echo '<div class="event"><h1>Рефералы - '.$ank['nick'].'</h1></div>';
echo '<div class="content">';
echo '<div class="block">';
if ($ank['id']==$ku['id']) {
echo "<div class='title'>Рефералы<br/></div>";
echo 'Ваша ссылка для привлечения:</br><br/>';
$url=$_SERVER['HTTP_HOST'].'/?ref='.$ank['id'];
echo '<input type="text" value="'.$url.'" /></br></br>';
echo "За каждого привлеченного пользователя Вам будет начисляться <img width='16' height='16' src='images/icons/ruby.png' alt='o'> 10 рубинов и <img width='16' height='16' src='images/icons/experience.png' alt='o'> 50 опыта.<br/>";
echo "<div class='title'>Внимание! Рефералы проверяются Администрацией, так что не пытайтесь делать клоны, за это Администрация может Вас забанить на вечно!<br/></div>";
}
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `referals`"),0);
if ($k_post==0) {
echo '<li>Рефералов нет</li>';
}
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `referals` WHERE `id_user` = '".$ank['id']."' ORDER BY `id` ASC LIMIT $start, $set[p_str]");
$i=1;
while($post=mysql_fetch_array($q)) {
$usr=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `id` = '".$post['id_ref']."'"));
echo '<b>'.$i++.'.</b> <a href="/?user='.$usr['id'].'">'.$usr['nick'].'</a> ['.vremja($post['time']).']<br />';
}
if ($k_page>1)str('?referals='.$ank['id'].'&amp;',$k_page,$page);
echo '</div>';
require 'inc/foot.php';
?>